package com.prolog.cs.biz.inbound.model.task;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description
 * @Date 2021-04-02
 */

@ApiModel
@Table(value = "wms_in_task_rcv_detail", appendDefaultJdbcType = true, camelToUnderline = true)
public class TaskRcvDetail extends BaseModel implements Serializable {
	private static final long serialVersionUID = 7471021406022071467L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** ID(主键雪花id) **/
	@ApiModelProperty(value = "ID(主键雪花id)")
	private String taskRcvId;

	/** 仓库ID **/
	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;

	/** 来源单类型 **/
	@ApiModelProperty(value = "来源单类型")
	private String sourceBillTyp;

	/** 来源单头ID **/
	@ApiModelProperty(value = "来源单头ID")
	private String sourceHeaderId;

	/** 来源单行ID **/
	@ApiModelProperty(value = "来源单行ID")
	private String sourceLineId;

	/** ASN头ID **/
	@ApiModelProperty(value = "ASN头ID")
	private String asnHeaderId;

	/** ASN行ID **/
	@ApiModelProperty(value = "ASN行ID")
	private String asnLineId;

	/** 商品ID **/
	@ApiModelProperty(value = "商品ID")
	private String itemId;

	/** 数量 **/
	@ApiModelProperty(value = "数量")
	private BigDecimal qty;

	/** 包装单位 **/
	@ApiModelProperty(value = "包装单位")
	private String uom;

	/** 包装含量 **/
	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	/** 单品数量 **/
	@ApiModelProperty(value = "单品数量")
	private BigDecimal pieceQty;

	/** 批次ID **/
	@ApiModelProperty(value = "批次ID")
	private String batchId;

	/** 批次号 **/
	@ApiModelProperty(value = "批次号")
	private String batchNum;

	/** 批号 **/
	@ApiModelProperty(value = "批号")
	private String vendorBatchNum;

	/** 生产商批号 **/
	@ApiModelProperty(value = "生产商批号")
	private String manufacturerLotNum;

	/** 是否允许作业标识 **/
	@ApiModelProperty(value = "是否允许作业标识")
	private String activeFlag;

	/** 余量 **/
	@ApiModelProperty(value = "余量")
	private BigDecimal remainQty;

	/** 结论 **/
	@ApiModelProperty(value = "结论")
	private String result;

	/** 原因 **/
	@ApiModelProperty(value = "原因")
	private String reason;

	/** 执行者 **/
	@ApiModelProperty(value = "执行者")
	private String executor;

	/** 状态 **/
	@ApiModelProperty(value = "状态")
	private String status;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment1;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment2;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute1;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute2;

	public String getTaskRcvId() {
		return taskRcvId;
	}

	public void setTaskRcvId(String taskRcvId) {
		this.taskRcvId = taskRcvId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getSourceBillTyp() {
		return sourceBillTyp;
	}

	public void setSourceBillTyp(String sourceBillTyp) {
		this.sourceBillTyp = sourceBillTyp;
	}

	public String getSourceHeaderId() {
		return sourceHeaderId;
	}

	public void setSourceHeaderId(String sourceHeaderId) {
		this.sourceHeaderId = sourceHeaderId;
	}

	public String getSourceLineId() {
		return sourceLineId;
	}

	public void setSourceLineId(String sourceLineId) {
		this.sourceLineId = sourceLineId;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public BigDecimal getQty() {
		return qty;
	}

	public void setQty(BigDecimal qty) {
		this.qty = qty;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getVendorBatchNum() {
		return vendorBatchNum;
	}

	public void setVendorBatchNum(String vendorBatchNum) {
		this.vendorBatchNum = vendorBatchNum;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getActiveFlag() {
		return activeFlag;
	}

	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public BigDecimal getRemainQty() {
		return remainQty;
	}

	public void setRemainQty(BigDecimal remainQty) {
		this.remainQty = remainQty;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getExecutor() {
		return executor;
	}

	public void setExecutor(String executor) {
		this.executor = executor;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getSegment1() {
		return segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public String getSegment2() {
		return segment2;
	}

	public void setSegment2(String segment2) {
		this.segment2 = segment2;
	}

	public String getAttribute1() {
		return attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

}
